
Redmine - Patch #18290

Issue performance patch

2014-11-06 10:20 - Ondřej Ezr

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 3.0.0   

Description

Issue safe_attribute 'is_private' cause a author loading if not necessary in some situations, and status_id_was is same as status_id,

and it is not preventing loading if not changed.

Please accept, I hate patch all method, cuz one line change :(

Related issues:

Has duplicate Redmine - Patch #17880: Performance issues on Issue model Closed

Associated revisions

Revision 13576 - 2014-11-08 12:09 - Jean-Philippe Lang

Prevents author load (#18290).

Patch by Ondřej Ezr.

Revision 13577 - 2014-11-08 12:17 - Jean-Philippe Lang

Prevents a status load in #status_was when status is not changed (#18290).

History

#1 - 2014-11-08 05:50 - Mischa The Evil

- Category set to Code cleanup/refactoring

#2 - 2014-11-08 12:22 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 3.0.0

The author load fix is committed in r13576.

The second part is not OK and breaks a bunch of tests because #status_was would return nil if status was not changed, where it should return the

current status. Fixed in r13577.

The last part is no longer in sync with trunk.

Thanks for your submission.

#3 - 2016-01-10 07:30 - Go MAEDA

- Has duplicate Patch #17880: Performance issues on Issue model added

Files

issue_performance.diff 1.17 KB 2014-11-06 Ondřej Ezr
